<?php 

function ibid_multi_categ_search($params, $content) {
    extract( shortcode_atts( 
        array(
            'width_type'                  =>'',
            'categories'                  =>'',
            'extra_class'                 =>''
        ), $params ) );

    if ($categories) {
      $all_categories = explode(',', $categories);
    }else{
      $all_categories = array();
    }

    $html = '';
    $html .= '<div class="mt-product-search mt-multicateg '.$extra_class.'">
                <div class="ibid-header-searchform tabs">
                  <nav>
                    <ul>';
                    
                    $html .= '<li><a href="#form-1">'.esc_html__('All','modeltheme').'</a></li>';
                    if ($all_categories) {
                      foreach ($all_categories as $term_id) {
                        $html .= '<li><a href="#form-'.$term_id.'">'.get_term( $term_id )->name.'</a></li>';
                      }
                    }
                    $html .= '</ul>
                  </nav>';
                  $html .= '<div class="content-wrap">';

                    $html .= '<section id="form-1">';
                      $html .= '<form name="header-search-form" method="GET" autocomplete="off" class="woocommerce-product-search menu-search" action="' .home_url('/'). '">';
                     
                      $html .= '
                      <div class="slider-state-search col-md-9 '.esc_attr($width_type).'">
                            <input type="search" class="search-field form-control search-keyword" placeholder="'.esc_html__( 'Search all products...','modeltheme' ).'" value="'.get_search_query().'" name="s" onkeyup="ibid_fetch_products()" />
                      </div>
                      <div class="slider-state-submit col-md-3 '.esc_attr($width_type).' submit">
                            <button type="submit" class="form-control btn btn-warning"><i class="fas fa-search" aria-hidden="true"></i>'.esc_html__('Search','modeltheme').'</button>
                          </div>
                      <input type="hidden" name="post_type" value="product" />
                      </form>
                        <div class="data_fetch"></div>
                    </section>';
                    foreach ($all_categories as $term_id) {
                      $html .= '<section id="form-'.$term_id.'">';
                        $html .= '<form name="header-search-form" method="GET" autocomplete="off" class="woocommerce-product-search menu-search" action="' .home_url('/'). '">';
                        $html .= '<input type="hidden" value="'.get_term( $term_id )->slug.'" name="product_cat">';
                        
                        $html .= '
                        <div class="slider-state-search col-md-9 '.esc_attr($width_type).'">
                              <input type="search" class="search-field form-control search-keyword" placeholder="'.esc_html__( 'Search in','modeltheme' ).' '.get_term( $term_id )->name.'" value="'.get_search_query().'" name="s" onkeyup="ibid_fetch_products()" />
                        </div>
                        <div class="slider-state-submit col-md-3 '.esc_attr($width_type).' submit">
                              <button type="submit" class="form-control btn btn-warning"><i class="fas fa-search" aria-hidden="true"></i> '.esc_html__(' Search','modeltheme').'</button>
                            </div>
                        <input type="hidden" name="post_type" value="product" />
                        </form>
                        <div class="data_fetch"></div>
                      </section>';
                    }
                  $html .= '</div>

                </div>
              </div>';
    return $html;
}
add_shortcode('multi_categ_search', 'ibid_multi_categ_search');



function ibid_multi_categ_search_vc(){
  $all_categories = array();
  if ( class_exists( 'WooCommerce' )) {
      $product_category_tax = get_terms(array( 
          'taxonomy' => 'product_cat',
          'hide_empty' => true,
      ));

      if ($product_category_tax) {
          foreach ( $product_category_tax as $term ) {
              if ($term) {
                  $all_categories[$term->name] = $term->term_id;
              }
          }
      }
  }

  vc_map( 
    array(
     "name" => __("iBid - Multicategory Search", 'modeltheme'),
     "base" => "multi_categ_search",
     "category" => esc_attr__('iBid', 'modeltheme'),
    "icon" => plugins_url( '../images/Search-Auctions.svg', __FILE__ ),
     "params" => array(
        array(
           "group" => "Options",
           "type" => "dropdown",
           "holder" => "div",
           "class" => "",
           "heading" => esc_attr__("With type", "modeltheme"),
           "param_name" => "width_type",
           "std" => '',
           "description" => esc_attr__("Please choose the with type", "modeltheme"),
           "value" => array(
            esc_attr__('Boxed', 'modeltheme')          => '',
            esc_attr__('Full width', 'modeltheme')     => 'full_with_row',
           )
        ),
        array(
           "group" => "Options",
            "type" => "dropdown_multi",
            "heading" => esc_attr__("Select Categories", 'modeltheme'),
            "description" => __("The selected categories will be listed as tabs to toggle the search in.", "modeltheme"),
            "param_name" => "categories",
            "holder" => "div",
            "class" => "",
            "value" => $all_categories
        ),
        array(
          "group" => "Options",
          "type" => "textfield",
          "heading" => __("Extra class name", "modeltheme"),
          "param_name" => "extra_class",
          "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "modeltheme")
        )
      )
  ));
}
add_action( 'vc_before_init', 'ibid_multi_categ_search_vc' );